Upstream information

CVE-2004-0077 at MITRE

Description

The do_mremap function for the mremap system call in Linux 2.2 to 2.2.25, 2.4 to 2.4.24, and 2.6 to 2.6.2, does not properly check the return value from the do_munmap function when the maximum number of VMA descriptors is exceeded, which allows local users to gain root privileges, a different vulnerability than CAN-2003-0985.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.2
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 49117 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SuSE Linux Enterprise Server 8 for IBM iSeries and IBM pSeries
  • kernel-iseries64 >= 2.4.21-146
  • kernel-ppc64 >= 2.4.21-146
  • kernel-source >= 2.4.21-146
Builds
SuSE Linux Desktop 1.0
  • k_athlon >= 2.4.19-349
  • k_deflt >= 2.4.19-349
  • k_psmp >= 2.4.19-349
  • k_smp >= 2.4.19-349
  • kernel-source >= 2.4.19.SuSE-349
Builds
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • k_athlon >= 2.4.21-190
  • k_debug >= 2.4.21-190
  • k_deflt >= 2.4.21-190
  • k_psmp >= 2.4.21-190
  • k_smp >= 2.4.21-190
  • kernel-source >= 2.4.21-190
slox4,2.x86
YOU Patch Nr: 8807
SuSE Linux Enterprise Server 8 for AMD64
UnitedLinux 1.0
  • k_deflt >= 2.4.21-199
  • k_numa >= 2.4.21-199
  • k_smp >= 2.4.21-199
  • kernel-source >= 2.4.21-199
Builds
SuSE Linux Enterprise Server 8 for IBM zSeries
  • k_deflt >= 2.4.21-107
  • kernel-source >= 2.4.21-107
ul1.s390x
SuSE Linux Enterprise Server 8 for IPF
UnitedLinux 1.0
  • k_deflt >= 2.4.21-144
  • k_itanium2 >= 2.4.21-144
  • k_itanium2-smp >= 2.4.21-144
  • k_smp >= 2.4.21-144
  • kernel-source >= 2.4.21-144
ul1.ia64